Skip to main content
GET
/
v1
/
analytics
/
tools
/
usage
/
timeseries
Tool invocations bucketed over time
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/analytics/tools/usage/timeseries \
  --header 'x-api-key: <api-key>'
[
  {
    "time_bucket": "2023-11-07T05:31:56Z",
    "invocations": 123,
    "successful": 123,
    "failed": 123
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

granularity
string
default:hour
Pattern: ^(minute|hour|day|week)$
tool_type
string | null
tool_id
string | null
agent_id
string | null
revision_id
string | null
start_date
string<date>
required
end_date
string<date>
required

Response

Successful Response

time_bucket
string<date-time>
required
invocations
integer
required
successful
integer
required
failed
integer
required